<?php

/* WEB Service obsługujący tabelę osób zatrudnionych w Katedrze Informatyki
   WPPT PWr 
*/

require_once (__DIR__."/PHP/ProcPom.php");
require_once (__DIR__."/PHP/BazaDanych.php");

function Transform($osoba){
  $result = [];
  $result['NICK']       = $osoba['NICK'];
  $result['Imie']       = $osoba['Imie'];
  $result['Nazwisko']   = $osoba['Nazwisko'];
  $result["Tytul"]      = Tytul2Str($osoba["Tytul"], $osoba["Inz"]);
  $result["Stanowisko"] = Stanowisko2Str($osoba["Stanowisko"]);
  $result['Pokoj']      = $osoba['Pokoj'] . "/" . $osoba['Budynek'];
  return $result;
}

function PobierzKadre(){ 
  $db    = new bazadanych();

  $sql   = "SELECT NICK, Imie, Nazwisko, Tytul, Stanowisko, Budynek, Pokoj, Inz  FROM kadra ORDER BY Nazwisko";
  $osoby = $db -> query($sql);
  
  if (is_bool($response)){
    return [];
  }
  $response=[];
  while ($row = $osoby->fetch_assoc()) {
    $response[] = Transform($row);
  }  
  $db -> close();
  return $response;
}

function PobierzOsobe($NICK){
  $db    = new bazadanych();
  $sql   = "SELECT NICK, Imie, Nazwisko, Tytul, Stanowisko, Budynek, Pokoj FROM kadra WHERE NICK = '$NICK'";
  $osoby = $db -> query($sql);

  if (is_bool($osoby)){
    return [];
  }
  $response = [];
  $result = [];
  while ($row = $osoby->fetch_assoc()) {
    $response[] = $row;
  }  
  if (sizeof($response)===1){
    $result[]= Transform($response[0]);
  }
  $db -> close();
  return $result[0];
}

$NICK     =  (isset($_REQUEST['NICK'])?$_REQUEST['NICK']:"");
$response = ($NICK===""?PobierzKadre():PobierzOsobe($NICK));

header('content-type: application/json; charset=utf-8');
echo json_encode($response,JSON_UNESCAPED_UNICODE);

exit();
?>

